<?php
namespace Claromentis\Menu\Infobar;

$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("t" . "i" . "t" . "l" . "e" => base64_decode("dGl0bGU" . "="), "_354b3b07bdaa4" . "e702886b2fdf9d" . "d11ce" => base64_decode("bmV3X3dpbmRv" . "dw=="), "_fd02c7e3d4" . "5300b40c3d9" . "698e7b27faf" => base64_decode("ZGl" . "zYW" . "JsZ" . "WQ="), "u" . "r" . "l" => base64_decode("dX" . "Js"), "typ" . "e" => base64_decode("dHlwZQ=" . "="), "i" . "d" => base64_decode("aWQ" . "="), "_aad576a27d4270db0bcce79b5b765b5" . "4" => base64_decode("aWN" . "vbg" . "=="));
use Claromentis\Core\Icon\IconFormatter;
class MenuItemFormatter
{
    private IconFormatter $iconFormatter;
    public function __construct(IconFormatter $iconFormatter)
    {
        $this->iconFormatter = $iconFormatter;
    }
    
    
    
    
    
    
    
    public function toArray(MenuItemInterface $_c5ca63e2f3cceb505a5417b4abb64d55) : array
    {
        $_fd62bc4eaaf7d58dea9bada3e30443b9 = [$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["ty" . "pe"] => $_c5ca63e2f3cceb505a5417b4abb64d55->getType()];
        $id = $_c5ca63e2f3cceb505a5417b4abb64d55->getId();
        if (isset($id)) {
            $_fd62bc4eaaf7d58dea9bada3e30443b9[$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["i" . "d"]] = $id;
        }
        if ($_c5ca63e2f3cceb505a5417b4abb64d55 instanceof MenuItemLinkInterface) {
            $_fd62bc4eaaf7d58dea9bada3e30443b9[$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_fd02c7e3d45300b4" . "0c3d9698e7b27faf"]] = $_c5ca63e2f3cceb505a5417b4abb64d55->getDisabled();
            $_fd62bc4eaaf7d58dea9bada3e30443b9[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_354b3b07bdaa4e702886b2fdf9dd11c" . "e"]] = $_c5ca63e2f3cceb505a5417b4abb64d55->getNewWindow();
            $_fd62bc4eaaf7d58dea9bada3e30443b9[$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["tit" . "le"]] = $_c5ca63e2f3cceb505a5417b4abb64d55->getTitle();
            $_fd62bc4eaaf7d58dea9bada3e30443b9[$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["ur" . "l"]] = $_c5ca63e2f3cceb505a5417b4abb64d55->getUrl();
            if (($_aad576a27d4270db0bcce79b5b765b54 = $_c5ca63e2f3cceb505a5417b4abb64d55->getIcon()) !== null) {
                $_fd62bc4eaaf7d58dea9bada3e30443b9[$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_aad576a27d4270db0bcce79b5b7" . "65b54"]] = $this->iconFormatter->toArray($_aad576a27d4270db0bcce79b5b765b54);
            }
        }
        return $_fd62bc4eaaf7d58dea9bada3e30443b9;
    }
}